%define pypi_name django-pipeline

%define python3 1

Epoch:          0
Name:           python-%{pypi_name}
Version:        1.5.4
Release:        %mkrel 2
Group:          Development/Python
Summary:        Pipeline is an asset packaging library for Django

License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        https://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%version.tar.gz
BuildArch:      noarch
 
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
Pipeline is an asset packaging library for Django.

%if %python3
%package -n python3-%{pypi_name}
Summary:        Pipeline is an asset packaging library for Django
Group:          Development/Python

BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{pypi_name}
Pipeline is an asset packaging library for Django.
%endif

%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf django_pipeline.egg-info

%if %python3
cp -a . %{py3dir}
cd %{py3dir}
%endif

%build
%py2_build

%if %python3
pushd %{py3dir}
%py3_build
popd
%endif

%install
%if %python3
pushd %{py3dir}
%py3_install
popd
%endif

%py2_install

%files
%doc AUTHORS HISTORY.rst README.rst
%{python2_sitelib}/django_pipeline*
%{python2_sitelib}/pipeline

%if %python3
%files -n python3-%{pypi_name}
%doc AUTHORS HISTORY.rst README.rst
%{python3_sitelib}/django_pipeline*
%{python3_sitelib}/pipeline
%endif


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0:1.5.4-2.mga6
+ Revision: 970837
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 daviddavid <daviddavid> 0:1.5.4-1.mga6
+ Revision: 888589
- new version: 1.5.4 + rebuild for python 3.5
- use new python macros
- remove no more needed patch
- add doc files

* Wed Oct 15 2014 umeabot <umeabot> 0:1.3.25-4.mga5
+ Revision: 741901
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0:1.3.25-3.mga5
+ Revision: 728290
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0:1.3.25-2.mga5
+ Revision: 687987
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 philippem <philippem> 0:1.3.25-1.mga5
+ Revision: 672162
- 1.3.25 activate python3

* Sun Jun 01 2014 pterjan <pterjan> 0:1.3.24-2.mga5
+ Revision: 630406
- 1.3.24 (mga 4 was release with 1.3.15 as only svn was reverted)
- Rebuild for new Python

  + neoclust <neoclust>
    - Revert to suitable version for reviewboard

* Wed Oct 30 2013 neoclust <neoclust> 1.3.15-3.mga4
+ Revision: 548032
- Fix Python rpm deps

* Tue Oct 22 2013 umeabot <umeabot> 1.3.15-2.mga4
+ Revision: 546197
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 neoclust <neoclust> 1.3.15-1.mga4
+ Revision: 502259
- Fix build with python3
- imported package python-django-pipeline

